#
# Action Handler for Appbridge service
#

from appbridge.prototol import Msg, Action

# sign <file_path>
async def handle_action(action, params, request_files):
    
    file_path = params[0]

    # request the file
    files = await request_files([file_path])
    if files is None or len(files) == 0:
        return

    # got the file
    local_file_path = files[0]

    # actually do sign
    # ...
    result = 'the result of sign ' + local_file_path
    # ...

    # reply result
    yield Msg(action, [result])


